IP_NODEFRAG(2const)

NAME
IP_NODEFRAG - don't defragmentate outgoing packets

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IP_NODEFRAG,
               const int *val, sizeof(int));

DESCRIPTION
If val is nonzero, the reassembly of outgoing packets is disabled in the netfilter layer.

This option is valid only for SOCK_RAW sockets.

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

HISTORY
Linux 2.6.36.

SEE ALSO
IPPROTO_IP(2const), setsockopt(2), ip(7)